#include <iostream>
#include <vector>
#include <string>
using namespace std;

bool koraci[1000] = {false};
int rez[1000];

int main()
{
	ios_base::sync_with_stdio(false);

	int n, k, x;
	scanf("%d %d %d", &n, &k, &x);
	int i = 1;
	cout << x + 1 << " ";
	for(int i = 0; i < n - 4; i++)
	{
		cout << 2 << " ";
	}
	for(int i = n - 4; i < n - 1; i++)
	{
		cout << 1 << " ";
	}
	/*while(k != 0)
	{
		if(k - (n-i) >= 0)
		{
			koraci[n - i] = true;
			k -= n - i;
			i++;
		}
		else
		{
			koraci[k] = true;
			k -= k;
		}
	} */
	/* long long tr = 1;
	bool ok = true;
	if(n == 3)
	{
		for(int i = n - 1; i >= 0; i--)
		{
			if(koraci[n - i - 1] == true)
			{
				tr += x;
				rez[i] = tr;
			}
			else
			{
				rez[i] = tr;
			}
		}
	}
	else if (n = 4)
	{
		for(int i = 0; i < 3; i++)
		{
			cout << x + 1 << " ";
		}
		cout << 1;
	}
	else
	{
		cout << -1;
	} */
	/* if(!ok)
		cout << -1;
	else
	{
		for(int i = 0; i < n; i++)
		{
			cout << rez[i];
			cout << " ";
		}
	} */
	return 0;
}